summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-linked-scripts
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-linked-scripts')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-linked-scripts38
1 files changed, 22 insertions, 16 deletions
diff --git a/Master/tlpkg/bin/tl-update-linked-scripts b/Master/tlpkg/bin/tl-update-linked-scripts
index 75504eafdb6..c589c8e24bb 100755
--- a/Master/tlpkg/bin/tl-update-linked-scripts
+++ b/Master/tlpkg/bin/tl-update-linked-scripts
@@ -35,19 +35,25 @@ test -r $Dest/scripts.lst || {
. $Dest/scripts.lst
compare_and_copy $texmf_scripts
-
-# Build/source/texk/texlive/tl_scripts => Master/texmf-dist/scripts/texlive
-
-Src=`cd $Dest/../tl_scripts && pwd`
-Dest=$Master/texmf-dist/scripts/texlive
-
-test -r $Src/scripts.lst || {
- echo "$0: \`$Src/scripts.lst' missing'"
- exit 1
-}
-
-# echo "$Src => $Dest"
-
-. $Src/scripts.lst
-
-compare_and_copy $tl_scripts
+exit $?
+
+# Here is how we handled a second directory, that copied in the other
+# direction. As of January 2020, all the scripts in tl_scripts are gone,
+# now maintained in Master with slaves in the normal linked_scripts
+# handled above.
+#
+## Build/source/texk/texlive/tl_scripts => Master/texmf-dist/scripts/texlive
+#
+#Src=`cd $Dest/../tl_scripts && pwd`
+#Dest=$Master/texmf-dist/scripts/texlive
+#
+#test -r $Src/scripts.lst || {
+# echo "$0: \`$Src/scripts.lst' missing'"
+# exit 1
+#}
+#
+## echo "$Src => $Dest"
+#
+#. $Src/scripts.lst
+#
+#compare_and_copy $tl_scripts